# Class Configuration#getLocaleList

Configuration

- Defined in: configuration.js

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Configuration#getLocaleList(successCallback, errorCallback) Gets the supported locale item list with an item (specifier, language name, country name).

## Class Detail

Configuration#getLocaleList(successCallback, errorCallback)
Gets the supported locale item list with an item (specifier, language name, country name). Locale specifier is composed of {language code}-{country code} and it is worked as the identifier when setting language.

    // Javascript code
    function getLocaleList () {
      function successCb(cbObject) {
         console.log("cbObject : " + JSON.stringify(cbObject));
    		var localeList = cbObject.localeList;
         console.log("localeList : " + JSON.stringify(localeList));

         // Do something
      }

      function failureCb(cbObject) {
         var errorCode = cbObject.errorCode;
         var errorText = cbObject.errorText;
         console.log ("Error Code [" + errorCode + "]: " + errorText);
      }

      var configuration = new Configuration();
      configuration.getLocaleList(successCb, failureCb);
    }

Parameters:
{Function} successCallback
  success callback function.
{Function} errorCallback
  failure callback function.

Since:
  1.4
Returns:
  {Object}

  Property | Type | Description
  --- | --- | ---
  localeList | Array | locale list
  localeList.language | String | language name
  localeList.languageCode | String | language code
  localeList.countries | Array | country list
  localeList.countries.name | String | country name
  localeList.countries.spercifier | String | locale specifier ({language code}-{country code} such as "en-GB" and "ko-KR")

See:
  Configuration.setOSDLock()